package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "RECURRING"
)
public class RECURRING {
   @XmlAttribute(
      name = "DAYS"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String days;
   @XmlAttribute(
      name = "HOURS"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String hours;
   @XmlAttribute(
      name = "MINUTES"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String minutes;

   public String getDAYS() {
      return this.days;
   }

   public void setDAYS(String value) {
      this.days = value;
   }

   public String getHOURS() {
      return this.hours;
   }

   public void setHOURS(String value) {
      this.hours = value;
   }

   public String getMINUTES() {
      return this.minutes;
   }

   public void setMINUTES(String value) {
      this.minutes = value;
   }
}
